package com.zanxiang.game.module.manage.rpc.impl;

import com.zanxiang.game.module.base.rpc.IKfMsgRpc;
import com.zanxiang.game.module.manage.service.IKfAppletMsgService;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author : lingfeng
 * @time : 2024-02-26
 * @description : 客服消息rpc接口
 */
@Slf4j
@DubboService
public class KfMsgRpcImpl implements IKfMsgRpc {

    @Autowired
    private IKfAppletMsgService kfAppletMsgService;

    @Override
    public void appletMsg(String postData) {
        try {
            kfAppletMsgService.appletMsg(postData);
        } catch (Exception e) {
            log.error("消费SDK转发的小程序消息异常, postData : {}, e : {}", postData, e.getMessage());
        }
    }
}
